Unable to launch OpenMV IDE on Raspberry Pi raspbian

Discussion related to "under the hood" OpenMV topics.
Aidanprunk
Posts: 2
Joined: Thu Nov 21, 2019 3:13 pm

Unable to launch OpenMV IDE on Raspberry Pi raspbian

Postby Aidanprunk » Thu Nov 21, 2019 3:22 pm

I am trying to launch OpenMV on my raspberry pi but every time I try to launch it through the terminal the terminal will not appear.
We have extracted the files and gone to other forms and website for help and I’m out of options. Please this is a class 10 world ending event please send help.
User avatar
kwagyeman
Posts: 4431
Joined: Sun May 24, 2015 2:10 pm

Re: Unable to launch OpenMV IDE on Raspberry Pi raspbian

Postby kwagyeman » Fri Nov 22, 2019 1:48 am

I have no idea what's wrong since you didn't specify the error... You are just asking vacuously for help. Please ask a specific question.
Nyamekye,
Aidanprunk
Posts: 2
Joined: Thu Nov 21, 2019 3:13 pm

Re: Unable to launch OpenMV IDE on Raspberry Pi raspbian

Postby Aidanprunk » Mon Dec 02, 2019 3:44 pm

When I attempt to launch the openmvide.sh in the terminal, it shows the error message:

This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, xcb.

Reinstalling the application may fix this problem.
Aborted



Note: I am using a raspberry pi 4B, and have run the setup.sh prior to trying to run openmvide.sh
User avatar
kwagyeman
Posts: 4431
Joined: Sun May 24, 2015 2:10 pm

Re: Unable to launch OpenMV IDE on Raspberry Pi raspbian

Postby kwagyeman » Tue Dec 03, 2019 1:06 am

Hi, I have to try installing the IDE on a brand new Pi 4. Please try this is the mean time: https://stackoverflow.com/a/51297039
Nyamekye,
ogagnon
Posts: 7
Joined: Thu Sep 26, 2019 6:02 pm

Re: Unable to launch OpenMV IDE on Raspberry Pi raspbian

Postby ogagnon » Sun Dec 08, 2019 1:53 pm

This is related to that pull request I made a while ago but is still opened: https://github.com/openmv/openmv-ide/pull/53

I also found out by reinstalling Raspbian that OpenMV is linked to libpng12 but only libpng16 is installed by default.
You should add the package libpng12-0 to be installed in setup.sh

O.
User avatar
kwagyeman
Posts: 4431
Joined: Sun May 24, 2015 2:10 pm

Re: Unable to launch OpenMV IDE on Raspberry Pi raspbian

Postby kwagyeman » Sun Dec 08, 2019 11:34 pm

Merged it, also, added libpng*. I will have time to work on the IDE after getting fixes into the firmware for the OV5640/7690 and cleaning out all remaining bugs/feature enhancements.
Nyamekye,

Return to “Technical Discussion”

Who is online

Users browsing this forum: jam and 9 guests